#!/usr/bin/perl -w

use strict;

my $displayed = 0;
my $received = 0;

my $rtp_read = 0;

my $frame_length;
my $sframecount = 0;

my $first_packet = 1;

my $frame_length_s = 0;
my $frame_length_e = 0;

open(LOGFILE, $ARGV[0]);


while (<LOGFILE>) {
  /^.xdvshow-rtp.c.*$/ and $rtp_read = 1;
  /^.*DISPLAYED$/ and $displayed++;
  /^.*(DSEQ_ARRAY.*$)/ and print "$1\n";
  /^.(WARNING.*$)/ and print "$1\n";
  if (/^.*RECEIVED frame length: (\d+).$/) {
    $frame_length = $1;
    if (($frame_length != 144000) and ($rtp_read == 0)) {
      $sframecount++;
      printf "Frame no. $received; Frame length: $frame_length\n";
    }
  }
  if ($rtp_read == 1) {
    /^.*: RECEIVED (\d+)b;.*$/ and $frame_length_e = $1;
  }
  if (/^.*RECEIVED frame no.*$/) {
    $received++;
    if ($rtp_read == 1) {
      $frame_length = $frame_length_e - $frame_length_s;
      printf "Frame no. $received; Frame length (RTP packets): $frame_length\n";
      if ($frame_length != 144000) {
	$sframecount++;
      }
      $frame_length_s = $frame_length_e;
    }
  }
}

close(LOGFILE);

print "\n";

print " frames RECEIVED: $received\n";
print "frames DISPLAYED: $displayed\n";
print "\n";
print "frames with strange length: $sframecount\n";
