#define		XDVSHOW_PROGNAME	"xdvshow"
#define		THREAD_STACKSIZE	2097152

/** \brief Maximum size of DV frame.
  *
  * DVFRAME_MAX_SIZE equals to PAL frame size (12 * 150 * 80) because it's
  * bigger than NTSC frame (10 * 150 * 80). Currently I'm not sure whether we
  * need to add header size (80 * 52) - Akimichi didn't do that. However - we
  * tend to overflow sometimes by 480b = 1 packet. It might be that it needs to
  * include header beacause it is used for allocating DV data structure in
  * xdvshow-shm.h.
  *
  * \sa shm_frame_buf in xdvshow-shm.h 
  * \sa _xdvshow_recv_dvrtp()
  */
#define		DVFRAME_MAX_SIZE	144000
#define		MAX_PKT_LEN		576000

/** \brief says how often we should send some dummy packet to the packet reflector.
 *
 * This is needed for the packet reflector to leave us in its list of hosts for
 * sending a video stream.
 * Default is 60 seconds.
 */
#define		REFLECTOR_PING_INTERVAL	60

#define		DVFRAME_READY		0x00000001
#define		DVFRAME_COPYING		0x00000002
#define		DVFRAME_DATA_READY	0x00000008

#define		DSEQ_MAX_NTSC 		9
#define		DSEQ_MAX_PAL 		11

#define		SCT_HEADER		0x0
#define		SCT_SUBCODE		0x1
#define		SCT_VAUX		0x2
#define		SCT_AUDIO		0x3
#define		SCT_VIDEO		0x4
#define		SCT_AAUX		0x5

/** \brief is a nuber of frame buffers for DV video.
 */
#define		SHM_FRAME_BUF_NUM       1
