#ifndef	_XDVSHOW_FLAGS_H_
#define	_XDVSHOW_FLAGS_H_

#endif	/* _XDVSHOW_FLAGS_H_ */

/** \brief says if we are using xdvshow for stereoscopic video displaying.
 */
int flags_stereo;

/** \brief says if we are using the fullscreen mode.
 *
 * This is valid only for SDL display and furthermore depends on selected
 * scaling mode. The default with just <tt>flags_fullscreen</tt> enabled
 * is unscaled video with black borders around.
 */
int flags_fullscreen;

/** \brief says that we are using libSDL for for video displaying.
 *
 * The default behaviour.
 */
int flags_sdl;

/** \brief says that we are using just X11 for video displaying.
 *
 * Used as as fallback when no libSDL is present in the system.
 */
int flags_x11;

/** \brief says we want a scaled fullscreen video.
 *
 * Fullscreen is here achieved by changing the display resolution
 * to nearest possible to the DV video resolution. Valid only with SDL
 * display enabled.
 */
int flags_zoom;

/** \brief says we want a scaled fullscreen video.
 *
 * A real video upscale is done by libSDL internal scaler. We dont' need
 * to change the display resolution. This is the only way how to display
 * a fullscreen video in stereoscopic mode.
 */
int flags_scale;

/** \brief says that we want to use a deinterlacer from libpostproc.
 */
int flags_deinterlace;

/** \brief says we don't want to init the SDL display with HW overlay.
 *
 * This may help when the graphics card is not capable of cereating a
 * HW overlay for video displaying.
 */
int flags_sdlnooverlay;

/** \brief says that we want to dump received video to a file.
 */

int flags_dump;

/** \brief says that we are acquire the DV video stream from a packet reflector.
 */
int flags_reflector;

/** \brief says that we are joining some multicast group
 */
int flags_mcast;

/** \brief says that we want to play the audio too.
 */
int flags_use_audio;

int flags_format_wide;
int flags_format_normal;

int flags_half_size;
int flags_half_framerate;

extern int main_running;
extern int video_running;
extern int audio_running;
extern int read_running;
extern int ping_running;
