#ifndef _XDVSHOW_SHM_H_
#define _XDVSHOW_SHM_H_

#include <netinet/in.h>
#include <sys/types.h>
#include <semaphore.h>

#include "xdvshow-const.h"

int _xdvshow_alloc_shm __P((void));
int _xdvshow_attach_shm __P((void));
	
void xdvshow_close_shm __P(());
int xdvshow_semaphore_init __P(());

int xdvshow_read_shm __P((u_char **));
int xdvshow_read_unlock __P(());

int xdvshow_read_audio_shm __P((u_char **));
int xdvshow_read_audio_unlock __P(());

struct shm_frame {
  struct shm_frame *next;
  struct shm_frame_buf *frame_buf;
};

struct shm_frame_buf {
  u_long lock;
  u_char data[DVFRAME_MAX_SIZE];    /* size of PAL since PAL is larger */
};

struct __xdvshow_shm {
  int parent_pid;
  int child_pid;
 
  int soc;

  int shmid;
  unsigned int framebufs;

  u_long *shm_buf;

  struct shm_frame *shm_frame;
  struct shm_frame *read_frame;
  struct shm_frame *audio_shm_frame;

  struct shm_frame_buf *locked_shm_framebuf;
  struct shm_frame_buf *locked_audio_shm_framebuf;
};

extern struct __xdvshow_shm _xdvshow_shm;

extern u_int32_t dv_format_type;

extern sem_t video_ready;
extern sem_t video_empty;

extern sem_t audio_ready;
extern sem_t audio_empty;

#endif /* _XDVSHOW_SHM_H_ */
